Loading...
Searching...
No Matches
assetmgrmodel::AssetStrip::OrientationChangedEvent Struct Reference

Event: Detected strip orientation has changed. More...

`import "AssetStrip.idl";`

Inheritance diagram for assetmgrmodel::AssetStrip::OrientationChangedEvent:

## Public Attributes

AssetStripConfig::Orientation | oldOrientation
| Strip orientation before change.
AssetStripConfig::Orientation | newOrientation
| Strip orientation after change.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: Detected strip orientation has changed.

Definition at line 176 of file AssetStrip.idl.

## Member Data Documentation

## newOrientation

AssetStripConfig::Orientation assetmgrmodel::AssetStrip::OrientationChangedEvent::newOrientation

Strip orientation after change.

Definition at line 178 of file AssetStrip.idl.

## oldOrientation

AssetStripConfig::Orientation assetmgrmodel::AssetStrip::OrientationChangedEvent::oldOrientation

Strip orientation before change.

Definition at line 177 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl